View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000233Ecere SDKecerepublic2009-06-30 21:432013-05-19 22:15
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000233: GlobalAppSettings.ec: adding a new setting in an existing section will not write the setting in the configuration file
DescriptionWhen a new setting needs to be added to a GlobalAppSettings configuration file in any [Section] but the last, problems get discarded because they're written in the next section.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000551closedjerome ide: Migrate GlobalSettings to JSON 

-  Notes
(0000342)
jerome (administrator)
2010-08-21 03:17

This GlobalAppSettings class is less than ideal, with many reread/rewrite for every setting saved. We should look into integrating the settings monitoring with a JSON solution (See the Project class for JSON code), first in the IDE. Will report a new issue (pre3?).
(0000343)
jerome (administrator)
2010-08-21 03:17

This was resolved by rewinding before the next section header and properly remembering the remaining of the file.
(0000344)
jerome (administrator)
2010-08-21 03:28

Added revision 18 to E:\root\sdk\ecere\src\sys\GlobalAppSettings.ec
Added revision 50 to E:\root\sdk\ide\src\settings.ec

- Issue History
Date Modified Username Field Change
2009-06-30 21:43 redj New Issue
2010-07-25 21:15 redj Relationship added child of 0000429
2010-07-26 02:11 jerome Note Added: 0000236
2010-07-26 19:19 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2010-08-21 03:17 jerome Note Added: 0000342
2010-08-21 03:17 jerome Status new => resolved
2010-08-21 03:17 jerome Summary GlobalAppSettings.ec: adding a new setting in a new section will not write the setting in the configuration file => GlobalAppSettings.ec: adding a new setting in an existing section will not write the setting in the configuration file
2010-08-21 03:17 jerome Description Updated
2010-08-21 03:17 jerome Additional Information Updated
2010-08-21 03:17 jerome Note Added: 0000343
2010-08-21 03:17 jerome Additional Information Updated
2010-08-21 03:17 jerome Note Deleted: 0000236
2010-08-21 03:28 jerome Note Added: 0000344
2010-08-21 03:29 jerome Relationship deleted child of 0000429
2010-08-21 03:29 jerome Relationship added related to 0000551
2010-12-06 20:15 jerome Resolution open => fixed
2010-12-07 01:33 jerome Status resolved => assigned
2010-12-07 01:33 jerome Assigned To => jerome
2010-12-08 05:12 jerome Status assigned => resolved
2012-03-08 15:34 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:08 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker